#!/bin/bash
# script launched by hook to proxy the VPN IPv6 address to dev eth1 to permit the ICMPv6 neighbour solicitation and answers to pass
# by Pascal Panneels 20220911
#
# need to be configured in /etc/vpn-user-portal/config.php as  'connectScriptPath' => '/usr/local/bin/addproxy.sh',
#
case "${VPN_EVENT}" in
 "C")
  # following doesn't work as the script is launched by user www-data that has not privileges enough
  #r=`ip -6 neigh add proxy "${VPN_IP_SIX}" dev eth1`
  echo C "${VPN_IP_SIX}"|nc 127.0.0.1 7373 
  ;;
 "D")
  # following doesn't work as the script is launched by user www-data that has not privileges enough
  #r=`ip -6 neigh del proxy "${VPN_IP_SIX}" dev eth1`
  echo D "${VPN_IP_SIX}"|nc 127.0.0.1 7373 
  ;;
esac

exit 0

